﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

namespace SilenceORM.DbUtility
{
    public class SqlContext : DbContext<SqlConnection>
    {
        private SqlContext(string sqlConn)
            : base(sqlConn)
        {

        }

        static SqlContext context = new SqlContext(ConfigurationManager.ConnectionStrings["SQLDB"].ConnectionString);

        public static SqlContext GetInstance()
        {
            return context;
        }
    }
}
